Bug 798347 - Front-end realm details view is missing breadcrumb
Front-end realm details view is missing breadcrumb
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tzu-Mainn Chen
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 12:23 EST by Angus Thomas
Modified: 2012-08-30 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: v0.8.0-40
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 13:15:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
link added (240.34 KB, image/png)
2012-03-05 00:07 EST, Aziza Karol
no flags Details

  None (edit)
Description Angus Thomas 2012-02-28 12:23:59 EST
Description of problem:
in this view (/conductor/realms/1), there's no way to navigate back to the previous view.

Version-Release number of selected component (if applicable):
aeolus-conductor-0.8.0-37

How reproducible:
Always 

Steps to Reproduce:
1. Navigate to /conductor/realms/1
2. Observe the missing breadcrumb to navigate back to the originating page
3.
  
Actual results:
No breadcrumb

Expected results:
Breadcrumb!!

Additional info:
Comment 1 Tzu-Mainn Chen 2012-02-29 16:37:33 EST
Patch created:

https://fedorahosted.org/pipermail/aeolus-devel/2012-February/009287.html
Comment 2 Tzu-Mainn Chen 2012-03-01 14:12:06 EST
Updated patch:

https://fedorahosted.org/pipermail/aeolus-devel/2012-March/009330.html
Comment 3 Tzu-Mainn Chen 2012-03-01 16:51:39 EST
Patch pushed to master:

commit 35c69d69de84e1728d6a3d3a62b82b0b0751b86f
BZ 798347 added breadcrumb back to realms index
Comment 4 Aziza Karol 2012-03-05 00:06:31 EST
link "Return to Cloud Resource Clusters" added. 
see attached screenshot.

verified:
 rpm -qa | grep aeolus
aeolus-configure-2.5.0-17.el6.noarch
aeolus-conductor-0.8.0-40.el6.noarch
aeolus-conductor-doc-0.8.0-40.el6.noarch
aeolus-all-0.8.0-40.el6.noarch
rubygem-aeolus-cli-0.3.0-12.el6.noarch
aeolus-conductor-daemons-0.8.0-40.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
Comment 5 Aziza Karol 2012-03-05 00:07:01 EST
Created attachment 567465 [details]
link added

Note You need to log in before you can comment on or make changes to this bug.